service_client_factory_start_service
service_client_free
service_client_new
service_client_t
SERVICE_CONSTRUCTOR
service_disable_bypass_ssl
service_disable_ssl
service_enable_ssl
service_error_t
service_get_connection
service_receive
service_receive_with_timeout
service_send

## service_send()

LIBIMOBILEDEVICE_API service_error_t service_send | ( | service_client_t | client,
|  | const char * | data,
|  | uint32_t | size,
|  | uint32_t * | sent )

Sends data using the given service client.

Parameters

  client | The service client to use for sending.
  data | Data to send
  size | Size of the data to send
  sent | Number of bytes sent (can be NULL to ignore)

Returns
  SERVICE_E_SUCCESS on success, SERVICE_E_INVALID_ARG when one or more parameters are invalid, or SERVICE_E_UNKNOWN_ERROR when an unspecified error occurs.